Skip to main content
POST
Verify images against an application's provenance policy

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

Body

application/json
images
string[]
required
Required array length: 1 - 32 elements
Maximum string length: 512

Response

The verdict and the decision a deploy would reach.

application_id
string<uuid>
required
mode
enum<string>
required
Available options:
off,
warn,
enforce
decision
enum<string>
required

What a deploy of these images under the application's mode would do.

Available options:
deploy,
deploy_with_finding,
refuse,
not_checked
verdict
object
required